


/******************************************************************/
/*            Key protection program for em and xgeom		  */
/* Copyright (c) 1990 Sonnet Software, Inc., All rights reserved. */
/******************************************************************/

/* %W% last mod on %G% at %U% */
/* Full SCCS path name: (%P%) */


/*******************************************************************

	NAME: version.c
	
	AUTHOR: K. Schroeder
	
	PURPOSE: Get version, release numbers
	
	CONTENTS:
		get_version() - get version number of software
		get_release() - get release number of software
	

*******************************************************************/

#include "version.h"
#include "sccs.h"

/* definitions	*/

/* external	*/

/* structures and global/semiglobal variable */

/*******************************************************************
	NAME: beg_version
	
	DESCRIPTION: 
		First routine in the version program.  Used by 
		emcheck.c to verify that this routine has not been
		changed
	
	RETURNS: dummy value

*******************************************************************/

int
beg_version()
{
	return(0);
}

/*******************************************************************
	NAME: get_version
	
	DESCRIPTION: 
		Get the version number of the software
	
	RETURNS: version number of software

*******************************************************************/

char *
get_version ()
{
	return (VER_NUM);
}

/*******************************************************************
	NAME: get_release
	
	DESCRIPTION: 
		Get the release number of the software
	
	RETURNS: release number of software

*******************************************************************/

char *
get_release ()
{
	return (REL_NUM);
}


/*******************************************************************
	NAME: end_version
	
	DESCRIPTION: 
		Last routine in the version program.  Used by 
		emcheck.c to verify that this routine has not been
		changed
	
	RETURNS: dummy value

*******************************************************************/

int
end_version()
{
	return(0);
}
